Debian Bug report logs - #630104
[kfreebsd] pstree -a: /proc/19/cmdline: Bad address

version graph

Package: kfreebsd-8; Maintainer for kfreebsd-8 is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>;

Reported by: Jonathan Nieder <jrnieder@gmail.com>

Date: Fri, 10 Jun 2011 23:42:02 UTC

Severity: normal

Found in versions 8.2-1.1, 8.2-1

Fixed in versions kfreebsd-9/9.0~svn223109-0.1, kfreebsd-8/8.2-2

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#630104; Package kfreebsd-8. (Fri, 10 Jun 2011 23:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 10 Jun 2011 23:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: submit@bugs.debian.org
Subject: [kfreebsd] pstree -a: /proc/19/cmdline: Bad address
Date: Fri, 10 Jun 2011 18:38:41 -0500
Package: kfreebsd-8
Version: 8.2-1.1

Hi,

Typical kfreebsd-amd64 experimental system, kernel =
kfreebsd-image-8.2-1-amd64 8.2-1.1.  When I try to run
"pstree -a", I get:

	$ pstree -a
	/proc/19/cmdline: Bad address

Indeed:

	$ ps 19
	  PID TTY        STAT    TIME COMMAND
	   19 ?          S+      0:00 [flowcleaner]
	$ cat /proc/19/cmdline
	cat: /proc/19/cmdline: Bad address

By contrast, getting the commandline from ordinary processes
works okay:

	$ cat -A /proc/$$/cmdline; echo
	-bash^@

Known problem?

$ mount | grep proc
linprocfs on /proc (linprocfs, local)
linprocfs on /proc (linprocfs, local, noexec, nosuid)




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#630104; Package kfreebsd-8. (Sat, 11 Jun 2011 09:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 11 Jun 2011 09:33:17 GMT) Full text and rfc822 format available.

Message #10 received at 630104@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Jonathan Nieder <jrnieder@gmail.com>, 630104@bugs.debian.org
Subject: Re: Bug#630104: [kfreebsd] pstree -a: /proc/19/cmdline: Bad address
Date: Sat, 11 Jun 2011 11:38:11 +0200 (CEST)
> Typical kfreebsd-amd64 experimental system, kernel =
> kfreebsd-image-8.2-1-amd64 8.2-1.1.  When I try to run
> "pstree -a", I get:
>
> 	$ pstree -a
> 	/proc/19/cmdline: Bad address
>
> Indeed:
>
> 	$ ps 19
> 	  PID TTY        STAT    TIME COMMAND
> 	   19 ?          S+      0:00 [flowcleaner]
> 	$ cat /proc/19/cmdline
> 	cat: /proc/19/cmdline: Bad address
>
> By contrast, getting the commandline from ordinary processes
> works okay:

It is upstream regression w.r.t 8.1 kernel.

Seems be due to
http://www.freebsd.org/cgi/cvsweb.cgi/src/sys/compat/linprocfs/linprocfs.c.diff?r1=1.152;r2=1.153;f=h

The FreeBSD kernel 8.1 returns process name, 
the linux kernel returns empty string for kernel-only processes.

The kernel-only processes shoudl be handled specially,
the fix should go also for "environ".

Petr




Bug Marked as found in versions 8.2-1. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Tue, 14 Jun 2011 11:24:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Tue, 14 Jun 2011 11:24:03 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Fri, 17 Jun 2011 09:21:11 GMT) Full text and rfc822 format available.

Notification sent to Jonathan Nieder <jrnieder@gmail.com>:
Bug acknowledged by developer. (Fri, 17 Jun 2011 09:21:15 GMT) Full text and rfc822 format available.

Message #19 received at 630104-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 630104-close@bugs.debian.org
Subject: Bug#630104: fixed in kfreebsd-9 9.0~svn223109-0.1
Date: Fri, 17 Jun 2011 09:18:37 +0000
Source: kfreebsd-9
Source-Version: 9.0~svn223109-0.1

We believe that the bug you reported is fixed in the latest version of
kfreebsd-9, which is due to be installed in the Debian FTP archive:

kfreebsd-9_9.0~svn223109-0.1.debian.tar.gz
  to main/k/kfreebsd-9/kfreebsd-9_9.0~svn223109-0.1.debian.tar.gz
kfreebsd-9_9.0~svn223109-0.1.dsc
  to main/k/kfreebsd-9/kfreebsd-9_9.0~svn223109-0.1.dsc
kfreebsd-9_9.0~svn223109.orig.tar.gz
  to main/k/kfreebsd-9/kfreebsd-9_9.0~svn223109.orig.tar.gz
kfreebsd-headers-9-amd64_9.0~svn223109-0.1_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-headers-9-amd64_9.0~svn223109-0.1_kfreebsd-amd64.deb
kfreebsd-headers-9.0-0-amd64_9.0~svn223109-0.1_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-headers-9.0-0-amd64_9.0~svn223109-0.1_kfreebsd-amd64.deb
kfreebsd-headers-9.0-0_9.0~svn223109-0.1_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-headers-9.0-0_9.0~svn223109-0.1_kfreebsd-amd64.deb
kfreebsd-image-9-amd64_9.0~svn223109-0.1_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-image-9-amd64_9.0~svn223109-0.1_kfreebsd-amd64.deb
kfreebsd-image-9.0-0-amd64_9.0~svn223109-0.1_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-image-9.0-0-amd64_9.0~svn223109-0.1_kfreebsd-amd64.deb
kfreebsd-source-9.0_9.0~svn223109-0.1_all.deb
  to main/k/kfreebsd-9/kfreebsd-source-9.0_9.0~svn223109-0.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 630104@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated kfreebsd-9 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 16 Jun 2011 10:28:34 +0200
Source: kfreebsd-9
Binary: kfreebsd-source-9.0 kfreebsd-headers-9.0-0 kfreebsd-image-9.0-0-amd64 kfreebsd-image-9-amd64 kfreebsd-headers-9.0-0-amd64 kfreebsd-headers-9-amd64 kfreebsd-image-9.0-0-486 kfreebsd-image-9-486 kfreebsd-headers-9.0-0-486 kfreebsd-headers-9-486 kfreebsd-image-9.0-0-686 kfreebsd-image-9-686 kfreebsd-headers-9.0-0-686 kfreebsd-headers-9-686 kfreebsd-image-9.0-0-686-smp kfreebsd-image-9-686-smp kfreebsd-headers-9.0-0-686-smp kfreebsd-headers-9-686-smp kfreebsd-image-9.0-0-xen kfreebsd-image-9-xen kfreebsd-headers-9.0-0-xen kfreebsd-headers-9-xen kfreebsd-image-9.0-0-malta kfreebsd-image-9-malta kfreebsd-headers-9.0-0-malta kfreebsd-headers-9-malta
Architecture: source all kfreebsd-amd64
Version: 9.0~svn223109-0.1
Distribution: experimental
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 kfreebsd-headers-9-486 - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-686 - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-686-smp - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-amd64 - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-malta - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-xen - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9.0-0 - Common architecture-specific header files for kernel of FreeBSD 9
 kfreebsd-headers-9.0-0-486 - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-686 - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-686-smp - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-amd64 - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-malta - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-xen - header files for kernel of FreeBSD 9.0
 kfreebsd-image-9-486 - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-686 - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-686-smp - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-amd64 - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-malta - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-xen - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9.0-0-486 - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-686 - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-686-smp - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-amd64 - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-malta - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-xen - kernel of FreeBSD 9.0 image
 kfreebsd-source-9.0 - source code for kernel of FreeBSD 9.0 with Debian patches
Closes: 630104
Changes: 
 kfreebsd-9 (9.0~svn223109-0.1) experimental; urgency=low
 .
   * Non-maintainer upload.
 .
   [ Guillem Jover ]
   * Now using Standards-Version 3.9.2 (no changes needed).
   * Switch to source format “3.0 (quilt)”.
     - Remove quilt from Build-Depends.
     - Remove patch target in debian/rules.
     - Remove now unneeded README.source.
 .
   [ Robert Millan ]
   * Add lintian override for "embedded-library" (zlib.ko).
   * Automatically propagate GCC version dependency to debian/control.
   * Add "(meta-package)" to Description of meta-packages to make lintian happy.
   * Build by GCC 4.6.
 .
   [ Petr Salinger ]
   * Add 111_linprocfs_kthread.diff. Closes: #630104.
Checksums-Sha1: 
 039b4e3ce65028de851085301e05049adea90402 2137 kfreebsd-9_9.0~svn223109-0.1.dsc
 d009be4bc140a578033dbc14285fee0593a1630f 32424195 kfreebsd-9_9.0~svn223109.orig.tar.gz
 39d2e46ededf4152d4f67edefc2776fbf92ec901 78460 kfreebsd-9_9.0~svn223109-0.1.debian.tar.gz
 17352e9f36de952ec1d45a83c9069b10986cdf29 21294778 kfreebsd-source-9.0_9.0~svn223109-0.1_all.deb
 d297a975bd8a2642aea7d0cac2025b03268b2a78 9612474 kfreebsd-headers-9.0-0_9.0~svn223109-0.1_kfreebsd-amd64.deb
 f44704267457729c03d00595882f741757245f2e 12457488 kfreebsd-image-9.0-0-amd64_9.0~svn223109-0.1_kfreebsd-amd64.deb
 cd761a5707ee693f5834cd14ffe3795a457f548b 48006 kfreebsd-image-9-amd64_9.0~svn223109-0.1_kfreebsd-amd64.deb
 809f8c62c65effc29e15318b37e594ae895942b8 360172 kfreebsd-headers-9.0-0-amd64_9.0~svn223109-0.1_kfreebsd-amd64.deb
 ea18c8882f0f2a66cab0f04017611f49b4b79d54 48006 kfreebsd-headers-9-amd64_9.0~svn223109-0.1_kfreebsd-amd64.deb
Checksums-Sha256: 
 48a5a99c714af3aa4638fde9a73d710acb40217e0d0f269eaabd35a517ad20c2 2137 kfreebsd-9_9.0~svn223109-0.1.dsc
 6afa196648374518c4e7765e5f2fa4b4fe21c4a062f553be14362b3d39cfd74a 32424195 kfreebsd-9_9.0~svn223109.orig.tar.gz
 6ac45ebb0c739f9eb364d3f6f5588b904dd284afa4986509e0b403096d6eb8d5 78460 kfreebsd-9_9.0~svn223109-0.1.debian.tar.gz
 faa6f994c6bcd24832d9791b8f493dfa2c8f4bd0c3019db8e3e9c6166020c2e4 21294778 kfreebsd-source-9.0_9.0~svn223109-0.1_all.deb
 bee5cdaac6fe6b492f5e3cfa07d4d0b123bb634e25b6328a1df53dda12738b0a 9612474 kfreebsd-headers-9.0-0_9.0~svn223109-0.1_kfreebsd-amd64.deb
 e3d1be7cae35db62db4f5b5868c8a1ba9239c86200879a43f91a3f4ee1d182b7 12457488 kfreebsd-image-9.0-0-amd64_9.0~svn223109-0.1_kfreebsd-amd64.deb
 cb29de97bdbc5c987841e0ed9a7c626ea5b10a7cadd8c6524f78b7e3045c2534 48006 kfreebsd-image-9-amd64_9.0~svn223109-0.1_kfreebsd-amd64.deb
 2413b44f6e6f9fae4219ede525db11e302879ea6fa751538e5d254449a283486 360172 kfreebsd-headers-9.0-0-amd64_9.0~svn223109-0.1_kfreebsd-amd64.deb
 5cb99868fb2ecdf2336c2b018d196305d292dc2ddac9b6d69981ab3ad5015c44 48006 kfreebsd-headers-9-amd64_9.0~svn223109-0.1_kfreebsd-amd64.deb
Files: 
 c5db45534e0e585bc17212dd7e5e4437 2137 kernel optional kfreebsd-9_9.0~svn223109-0.1.dsc
 ea01a9bbe1bd3be0b02df548b43cd2f3 32424195 kernel optional kfreebsd-9_9.0~svn223109.orig.tar.gz
 9563a4c3a052c9a02101b86919258b08 78460 kernel optional kfreebsd-9_9.0~svn223109-0.1.debian.tar.gz
 b968ce37e3f315aa1f1889d7f396d8cd 21294778 kernel optional kfreebsd-source-9.0_9.0~svn223109-0.1_all.deb
 8f476be4f0bb7d934ef0bc50f3014af7 9612474 kernel optional kfreebsd-headers-9.0-0_9.0~svn223109-0.1_kfreebsd-amd64.deb
 7ff769e132196b974f244881913cd453 12457488 kernel optional kfreebsd-image-9.0-0-amd64_9.0~svn223109-0.1_kfreebsd-amd64.deb
 1fbc28e99253850df2ce3223bd3461e4 48006 kernel optional kfreebsd-image-9-amd64_9.0~svn223109-0.1_kfreebsd-amd64.deb
 92607f94e2e246037b9e34fecde86193 360172 kernel optional kfreebsd-headers-9.0-0-amd64_9.0~svn223109-0.1_kfreebsd-amd64.deb
 49fa9eb8158202c87df0604eaeb18d76 48006 kernel optional kfreebsd-headers-9-amd64_9.0~svn223109-0.1_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk350XgACgkQC19io6rUCv8ESwCggbOfxkIt4TXByR0TVX+Kwepk
CBEAn3PuNQ53qT9qIf20kGjab2QxbAGf
=htui
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#630104; Package kfreebsd-8. (Fri, 17 Jun 2011 09:39:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 17 Jun 2011 09:39:25 GMT) Full text and rfc822 format available.

Message #24 received at 630104@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 630104@bugs.debian.org
Subject: Re: [kfreebsd] pstree -a: /proc/19/cmdline: Bad address
Date: Fri, 17 Jun 2011 04:36:24 -0500
Robert Millan wrote:

>  kfreebsd-9 (9.0~svn223109-0.1) experimental; urgency=low

Hoorah!  Thank you, Robert.

>    [ Petr Salinger ]
>    * Add 111_linprocfs_kthread.diff. Closes: #630104.

Thanks, Petr, too. :)  "pstree -a" works now.




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#630104; Package kfreebsd-8. (Fri, 17 Jun 2011 09:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 17 Jun 2011 09:48:09 GMT) Full text and rfc822 format available.

Message #29 received at 630104@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 630104@bugs.debian.org
Subject: Re: Bug#630104: [kfreebsd] pstree -a: /proc/19/cmdline: Bad address
Date: Fri, 17 Jun 2011 11:45:24 +0200
2011/6/17 Jonathan Nieder <jrnieder@gmail.com>:
>>    [ Petr Salinger ]
>>    * Add 111_linprocfs_kthread.diff. Closes: #630104.
>
> Thanks, Petr, too. :)  "pstree -a" works now.

I wouldn't consider kfreebsd-9 a solution to your linprocfs
problem, it is only barely usable yet (see
http://lists.debian.org/debian-bsd/2011/06/msg00208.html)

If you want to help getting it fixed in sid, you can test
kfreebsd-8 8.2-1.1 in experimental.  We need to make sure
the GCC upgrade didn't cause any regression before
new sid uploads can be made.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#630104; Package kfreebsd-8. (Fri, 17 Jun 2011 10:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 17 Jun 2011 10:03:14 GMT) Full text and rfc822 format available.

Message #34 received at 630104@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 630104@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#630104: [kfreebsd] pstree -a: /proc/19/cmdline: Bad address
Date: Fri, 17 Jun 2011 12:07:51 +0200 (CEST)
> If you want to help getting it fixed in sid, you can test
> kfreebsd-8 8.2-1.1 in experimental.

It have been reported againts 8.2-1.1 primarily ;-)

> We need to make sure the GCC upgrade didn't cause any
> regression before new sid uploads can be made.

Nobody objected so far, it have been available for one week.
Time to ship it into unstable ;-)

Petr




Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Fri, 17 Jun 2011 15:21:15 GMT) Full text and rfc822 format available.

Notification sent to Jonathan Nieder <jrnieder@gmail.com>:
Bug acknowledged by developer. (Fri, 17 Jun 2011 15:21:15 GMT) Full text and rfc822 format available.

Message #39 received at 630104-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 630104-close@bugs.debian.org
Subject: Bug#630104: fixed in kfreebsd-8 8.2-2
Date: Fri, 17 Jun 2011 15:19:48 +0000
Source: kfreebsd-8
Source-Version: 8.2-2

We believe that the bug you reported is fixed in the latest version of
kfreebsd-8, which is due to be installed in the Debian FTP archive:

kfreebsd-8_8.2-2.debian.tar.gz
  to main/k/kfreebsd-8/kfreebsd-8_8.2-2.debian.tar.gz
kfreebsd-8_8.2-2.dsc
  to main/k/kfreebsd-8/kfreebsd-8_8.2-2.dsc
kfreebsd-headers-8-amd64_8.2-2_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8-amd64_8.2-2_kfreebsd-amd64.deb
kfreebsd-headers-8.2-1-amd64_8.2-2_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.2-1-amd64_8.2-2_kfreebsd-amd64.deb
kfreebsd-headers-8.2-1_8.2-2_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.2-1_8.2-2_kfreebsd-amd64.deb
kfreebsd-image-8-amd64_8.2-2_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8-amd64_8.2-2_kfreebsd-amd64.deb
kfreebsd-image-8.2-1-amd64_8.2-2_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8.2-1-amd64_8.2-2_kfreebsd-amd64.deb
kfreebsd-source-8.2_8.2-2_all.deb
  to main/k/kfreebsd-8/kfreebsd-source-8.2_8.2-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 630104@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated kfreebsd-8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 17 Jun 2011 15:35:49 +0200
Source: kfreebsd-8
Binary: kfreebsd-source-8.2 kfreebsd-headers-8.2-1 kfreebsd-image-8.2-1-amd64 kfreebsd-image-8-amd64 kfreebsd-headers-8.2-1-amd64 kfreebsd-headers-8-amd64 kfreebsd-image-8.2-1-486 kfreebsd-image-8-486 kfreebsd-headers-8.2-1-486 kfreebsd-headers-8-486 kfreebsd-image-8.2-1-686 kfreebsd-image-8-686 kfreebsd-headers-8.2-1-686 kfreebsd-headers-8-686 kfreebsd-image-8.2-1-686-smp kfreebsd-image-8-686-smp kfreebsd-headers-8.2-1-686-smp kfreebsd-headers-8-686-smp kfreebsd-image-8.2-1-xen kfreebsd-image-8-xen kfreebsd-headers-8.2-1-xen kfreebsd-headers-8-xen kfreebsd-image-8.2-1-malta kfreebsd-image-8-malta kfreebsd-headers-8.2-1-malta kfreebsd-headers-8-malta
Architecture: source all kfreebsd-amd64
Version: 8.2-2
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 kfreebsd-headers-8-486 - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-686 - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-686-smp - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-amd64 - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-malta - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-xen - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8.2-1 - Common architecture-specific header files for kernel of FreeBSD 8
 kfreebsd-headers-8.2-1-486 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-686 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-686-smp - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-amd64 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-malta - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-xen - header files for kernel of FreeBSD 8.2
 kfreebsd-image-8-486 - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-686 - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-686-smp - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-amd64 - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-malta - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-xen - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8.2-1-486 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-686 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-686-smp - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-amd64 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-malta - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-xen - kernel of FreeBSD 8.2 image
 kfreebsd-source-8.2 - source code for kernel of FreeBSD 8.2 with Debian patches
Closes: 594288 628954 630104 630509
Changes: 
 kfreebsd-8 (8.2-2) unstable; urgency=low
 .
   [ Guillem Jover ]
   * Now using Standards-Version 3.9.2 (no changes needed).
   * Switch to source format “3.0 (quilt)”.
     - Remove quilt from Build-Depends.
     - Remove patch target in debian/rules.
     - Remove now unneeded README.source.
     - Refresh all patches.
 .
   [ Robert Millan ]
   * Add lintian override for "embedded-library" (zlib.ko).
   * Automatically propagate GCC version dependency to debian/control.
   * Add "(meta-package)" to Description of meta-packages to make lintian happy.
   * Add myself to Uploaders
   * Build by GCC 4.6.  (Closes: #594288)
   * Add conf/kern.mk, conf/kmod.mk, kern/vnode_if.src, and
     tools/vnode_if.awk to kfreebsd-headers-8.2-1.  (Closes: #630509)
   * Merge backported if_msk driver from HEAD.  (Closes: #628954)
     - 000_msk_backport_from_HEAD.diff
 .
   [ Petr Salinger ]
   * Add 111_linprocfs_kthread.diff. Closes: #630104.
Checksums-Sha1: 
 2ebebb42ab9843a4412f96b2fcdd62baee5ffea1 2091 kfreebsd-8_8.2-2.dsc
 801b930ac4094fe9aeee9033c90757933a2aa96b 97505 kfreebsd-8_8.2-2.debian.tar.gz
 002ff689eb59b4df9388e426d6c2b672b56abdc5 18672836 kfreebsd-source-8.2_8.2-2_all.deb
 b0807aa002a98f50f24e5f2358232d25808b2438 7320796 kfreebsd-headers-8.2-1_8.2-2_kfreebsd-amd64.deb
 48ff04871c2f380084ee129caff01c3cce962f62 11017246 kfreebsd-image-8.2-1-amd64_8.2-2_kfreebsd-amd64.deb
 db675f17255ceb482aa698db0ec5279d4536cf70 48070 kfreebsd-image-8-amd64_8.2-2_kfreebsd-amd64.deb
 1e76f6bdda0e099030f69e67d0c9d9f6a85eaac8 324514 kfreebsd-headers-8.2-1-amd64_8.2-2_kfreebsd-amd64.deb
 b2dcc7609e7f1e3f134f8eacc9ae14c1a5370ec3 48096 kfreebsd-headers-8-amd64_8.2-2_kfreebsd-amd64.deb
Checksums-Sha256: 
 4c7c9daeaac1efae2738de3f05a48dbb5a12d5a6dc10caedf74e1340367a4480 2091 kfreebsd-8_8.2-2.dsc
 3bde5fdd25660b14dcc29ad640bdf8f21ecfa4e1c920a568d92053e92d83debe 97505 kfreebsd-8_8.2-2.debian.tar.gz
 fd7523734e0a3f1a854d4734d85bd508643b43bb4eea2fbaa7175a88440d1b94 18672836 kfreebsd-source-8.2_8.2-2_all.deb
 8e56d261e5125bec1e4e2a0ce24d1a4c9efb3efd32c13bab3d37c420f140c0f2 7320796 kfreebsd-headers-8.2-1_8.2-2_kfreebsd-amd64.deb
 68ab4870e99113b9c5ad05aa3ad7dedd46f876c17ee9cdb46fc8a729fe410448 11017246 kfreebsd-image-8.2-1-amd64_8.2-2_kfreebsd-amd64.deb
 17a702017de662d138de841ad747156e7fe84f4fadaddd404d6b495464b1db25 48070 kfreebsd-image-8-amd64_8.2-2_kfreebsd-amd64.deb
 ad442a2fd991a986160eecaa5b4cf7bc3ae8b7926f33e1aa458b8bb81f038c11 324514 kfreebsd-headers-8.2-1-amd64_8.2-2_kfreebsd-amd64.deb
 37887775f0b7883895748a6b32912ea1f7a4a33bc402299e7749ebef796d918f 48096 kfreebsd-headers-8-amd64_8.2-2_kfreebsd-amd64.deb
Files: 
 fd982495dcebb69c158a78a6d2ae494e 2091 kernel optional kfreebsd-8_8.2-2.dsc
 4d76934988e406e314473fd3b7171e09 97505 kernel optional kfreebsd-8_8.2-2.debian.tar.gz
 349c9b158128807787eb373af92540c6 18672836 kernel optional kfreebsd-source-8.2_8.2-2_all.deb
 dd09cc45670cb1751a665602939fa547 7320796 kernel optional kfreebsd-headers-8.2-1_8.2-2_kfreebsd-amd64.deb
 62268a05f13eda7496981987aca7a6be 11017246 kernel optional kfreebsd-image-8.2-1-amd64_8.2-2_kfreebsd-amd64.deb
 99619abca895ff671cd3ee3cadc44410 48070 kernel optional kfreebsd-image-8-amd64_8.2-2_kfreebsd-amd64.deb
 d24bc956db5dba91df6076ef2bd96fc6 324514 kernel optional kfreebsd-headers-8.2-1-amd64_8.2-2_kfreebsd-amd64.deb
 ffd6b037e91e87dd6538ce46caba3637 48096 kernel optional kfreebsd-headers-8-amd64_8.2-2_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk37ZXYACgkQC19io6rUCv8lNgCePpnpbm49vB4LsI2oUrlpV1tX
tM0An2nR6JAdwdm3eBjVyjxC4ZF2re2J
=HKZG
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 18 Aug 2011 07:32:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:48:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.